## org.apache.batik.script
Interface Window

All Known Implementing Classes:
  BaseScriptingEnvironment.Window, ScriptingEnvironment.Window

public interface Window

This interface represents the 'window' object defined in the global environment of a SVG document.

Nested Class Summary
`static interface` `Window.GetURLHandler` To handle the completion of a 'getURL()' call.

Method Summary
`void` `alert(java.lang.String message)` Displays an alert dialog box.
`void` `clearInterval(java.lang.Object interval)` Cancels an interval that was set by a call to 'setInterval'.
`void` `clearTimeout(java.lang.Object timeout)` Cancels an timeout that was set by a call to 'setTimeout'.
`boolean` `confirm(java.lang.String message)` Displays a confirm dialog box.
`BridgeContext` `getBridgeContext()` Returns the current BridgeContext.
`Interpreter` `getInterpreter()` Returns the associated interpreter.
`void` `getURL(java.lang.String uri, Window.GetURLHandler h)` Gets data from the given URI.
`void` `getURL(java.lang.String uri, Window.GetURLHandler h, java.lang.String enc)` Gets data from the given URI.
`org.w3c.dom.Node` `parseXML(java.lang.String text, org.w3c.dom.Document doc)` Parses the given XML string into a DocumentFragment of the given document or a new document if 'doc' is null.
`java.lang.String` `prompt(java.lang.String message)` Displays an input dialog box.
`java.lang.String` `prompt(java.lang.String message, java.lang.String defVal)` Displays an input dialog box, given the default value.
`java.lang.Object` `setInterval(java.lang.Runnable r, long interval)` Calls the 'run' method of the given Runnable repeatedly after the given amount of time.
`java.lang.Object` `setInterval(java.lang.String script, long interval)` Evaluates the given string repeatedly after the given amount of time.
`java.lang.Object` `setTimeout(java.lang.Runnable r, long timeout)` Calls the 'run' method of the given Runnable after the given amount of time.
`java.lang.Object` `setTimeout(java.lang.String script, long timeout)` Evaluates the given string after the given amount of time.

Method Detail

### setInterval

    public java.lang.Object setInterval(java.lang.String script,
                                        long interval)

  Evaluates the given string repeatedly after the given amount of time. This method does not stall the script: the evaluation is scheduled and the script continues its execution.

  Returns:
    an object representing the interval created.

### setInterval

    public java.lang.Object setInterval(java.lang.Runnable r,
                                        long interval)

  Calls the 'run' method of the given Runnable repeatedly after the given amount of time. This method does not stall the script: the evaluation is scheduled and the script continues its execution.

  Returns:
    an object representing the interval created.

### clearInterval

    public void clearInterval(java.lang.Object interval)

  Cancels an interval that was set by a call to 'setInterval'.

### setTimeout

    public java.lang.Object setTimeout(java.lang.String script,
                                       long timeout)

  Evaluates the given string after the given amount of time. This method does not stall the script: the evaluation is scheduled and the script continues its execution.

  Returns:
    an object representing the timeout created.

### setTimeout

    public java.lang.Object setTimeout(java.lang.Runnable r,
                                       long timeout)

  Calls the 'run' method of the given Runnable after the given amount of time. This method does not stall the script: the evaluation is scheduled and the script continues its execution.

  Returns:
    an object representing the timeout created.

### clearTimeout

    public void clearTimeout(java.lang.Object timeout)

  Cancels an timeout that was set by a call to 'setTimeout'.

### parseXML

    public org.w3c.dom.Node parseXML(java.lang.String text,
                                     org.w3c.dom.Document doc)

  Parses the given XML string into a DocumentFragment of the given document or a new document if 'doc' is null.

  Returns:
    The document fragment or null on error.

### getURL

    public void getURL(java.lang.String uri,
                       Window.GetURLHandler h)

  Gets data from the given URI.

  Parameters:
    `uri` - The URI where the data is located.
    `h` - A handler called when the data is available.

### getURL

    public void getURL(java.lang.String uri,
                       Window.GetURLHandler h,
                       java.lang.String enc)

  Gets data from the given URI.

  Parameters:
    `uri` - The URI where the data is located.
    `h` - A handler called when the data is available.
    `enc` - The character encoding of the data.

### alert

    public void alert(java.lang.String message)

  Displays an alert dialog box.

### confirm

    public boolean confirm(java.lang.String message)

  Displays a confirm dialog box.

### prompt

    public java.lang.String prompt(java.lang.String message)

  Displays an input dialog box.

  Returns:
    The input of the user, or null if the dialog was cancelled.

### prompt

    public java.lang.String prompt(java.lang.String message,
                                   java.lang.String defVal)

  Displays an input dialog box, given the default value.

  Returns:
    The input of the user, or null if the dialog was cancelled.

### getBridgeContext

    public BridgeContext getBridgeContext()

  Returns the current BridgeContext. This object given a deep access to the viewer internals.

### getInterpreter

    public Interpreter getInterpreter()

  Returns the associated interpreter.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.